Bug 92025 - "activate" button only works once for modems
"activate" button only works once for modems
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-31 14:32 EDT by Leif Harcke
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-05 09:55:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leif Harcke 2003-05-31 14:32:42 EDT
Description of problem:
The "activate" button in the main window only activates a
modem connection immediately after the druid/wizard creates the device.
Upon reboot, the connection and hardware config are present and visible
in the main redhat-config-network window and hardware device window, but the 
"activate" button does not function at all when clicked.


Version-Release number of selected component (if applicable):
1.0.4-2

How reproducible:
3 times in a row

Steps to Reproduce:
1.Use druid/wizard to create new modem connection, save & activate
(computer dials and connects)
2.shut down/reboot
3.run redhat-config-network and click on "activate" button to start PPP
    
Actual results:
No PPP connection is attempted, no "dialing PPP..." box appears

Expected results:
Dialog box should appear saying PPP connection is being established, modem
should dial and connect

Additional info:
Removing the hardware configuration, and using the druid/wizard to create a new
connection results in a working connection.  Upon reboot, the connection will
not respond to the "activate" button.  Only solution so far is to remove and
re-create the connection every time you want to dial.

This computer was originally attached to a 100MB ethernet, some leftover config
file from somewhere could be hosing things up.  The Ethernet connection has been
removed, but the hardware configuration has not been removed.
Comment 1 Leif Harcke 2003-05-31 20:16:01 EDT
Additional information:

A reboot is not necessary for the "activate" button to become non-working.  Simply
closing the redhat-config-gui and then re-opening the GUI will cause the
"activate" button to stop working.

New to PPP, always had 10/100 Ethernet always on in the past.  With Ethernet,
you always configure the interface to start at boot, so once the configuration
is set up, you never use the GUI again to reach for the activate button.  Among
PPP users, 
apparently the common thing to do is to create the connection and
then use the Red Hat PPP applet in the Gnome panel to control activation and
deactivation of the link.  So once again, you never use the "activate" button in
the redhat-config-network GUI once you do the initial setup.  Maybe that's why
this bug hasn't been reported before.  Only someone (wrongly) using the config
dialog box as a start/stop interface would notice.
Comment 2 Leif Harcke 2003-06-02 01:38:25 EDT
Third comment:  redhat-control-network works as advertised for
activate/deactivate, so apparently out of the three possible "activate" buttons
to push (redhat-config-network, redhat-control-network, redhat-panel-applet) the
only one which is non-functional is the redhat-config-network button once the
initial configuration has been completed and the tool GUI window closed.

Note You need to log in before you can comment on or make changes to this bug.